<?



if (isset($_SESSION['refer']) && $_SESSION['refer']!=NULL && !preg_match('#(rules)|(smiles)|(secure)|(aut)|(reg)|(umenu)|(zakl)|(mail)|(anketa)|(settings)|(avatar)|(info)\.php#',$_SERVER['SCRIPT_NAME']))

$_SESSION['refer']=NULL;



function otkuda($ref)

{

if (preg_match('#^/forum/#',$ref))

$mesto='на Форуме';

elseif (preg_match('#^/chat/#',$ref))

$mesto='в Чате';

elseif (preg_match('#^/lib/#',$ref))

$mesto='Читает';

elseif (preg_match('#^/news/#',$ref))

$mesto='В новостях';

elseif (preg_match('#^/adm_panel/#',$ref))

$mesto='В Админ-Панели';

elseif (preg_match('#^/votes/#',$ref))

$mesto='В опросах';

elseif (preg_match('#^/guest/#',$ref))

$mesto='В беседке';

elseif (preg_match('#^/loads/#',$ref))

$mesto='В файлах';

elseif (preg_match('#^/users\.php#',$ref))

$mesto='В списке Рояльцев';

elseif (preg_match('#^/online\.php#',$ref))

$mesto='Смотрит, кто на сайте';

elseif (preg_match('#^/online_g\.php#',$ref))

$mesto='Смотрит на прохожих';

elseif (preg_match('#^/reg\.php#',$ref))

$mesto='Регистрируется';

elseif (preg_match('#^/obmen/#',$ref))

$mesto='В Зоне Обмена';

elseif (preg_match('#^/aut\.php#',$ref))

$mesto='Входит на сайт';

elseif (preg_match('#^/index\.php#',$ref))

$mesto='На своей страничке';

elseif (preg_match('#^/\??$#',$ref))

$mesto='На главной';

else

$mesto=false;

return $mesto;

}





?>